Subject: Re: [GROW] New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-00.txt(Internet mail)

From: oliverxu(许锋) <[email-masked]>
Date: Tue, 12 Mar 2019 02:07:05 +0000

Dear GROW members,

We have just submitted a new draft that extends BMP to collect the correlated BGP route policy and route attributes for route policy validation.

Comments are very welcome!

Oliver.

On [DATE], "[NAME]" <[ADDRESS]> wrote:

    A new version of I-D, draft-xu-grow-bmp-route-policy-attr-trace-00.txt
    has been successfully submitted by Yunan Gu and posted to the
    IETF repository.
    
    Name:		draft-xu-grow-bmp-route-policy-attr-trace
    Revision:	00
    Title:		BGP Route Policy and Attribute Trace Using BMP
    Document date:	2019-03-09
    Group:		Individual Submission
    Pages:		12
    URL:            https://www.ietf.org/internet-drafts/draft-xu-grow-bmp-route-policy-attr-trace-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-xu-grow-bmp-route-policy-attr-trace/
    Htmlized:       https://tools.ietf.org/html/draft-xu-grow-bmp-route-policy-attr-trace-00
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-xu-grow-bmp-route-policy-attr-trace

    Abstract:
       The generation of BGP adj-rib-in, local-rib or adj-rib-out comes from
       BGP protocol communication, and route policy processing.  BGP
       Monitoring Protocol (BMP) provides the monitoring of BGP adj-rib-in
       [RFC7854], BGP local-rib [I-D.ietf-grow-bmp-local-rib] and BGP adj-
       rib-out [I-D.ietf-grow-bmp-adj-rib-out].  However, there lacks
       monitoring of how BGP routes are transformed from adj-rib-in into
       local-rib and then adj-rib-out (i.e., the BGP route policy processing
       procedures).  This document describes a method of using BMP to trace
       the change of BGP routes in correlation with responsible route
       policies.

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat

---

From: <[email-masked]>
Date: Tue, 26 Mar 2019 13:40:28 +0000

Hi Yunan and co-authors of this draft,

First of all as network operator I welcome this extension to BMP to gain visibility how and how fast BGP prefixes are being processed through various route-policies within a router. Managing BGP route-policing configurations in a large and automated cloud/data-center environment with service function chaining and L3 MPLS VPN's is challenging without the proper tools.

I am supporting this draft to be adopted by the working group. My input as follow: 

In section 2.3 you describe

Policy ID, Policy Distinguisher, Peer ID, VRF/Table name
https://tools.ietf.org/html/draft-xu-grow-bmp-route-policy-attr-trace-00#section-2.3

For Network Telemetry closed loop operation this loose definition is not sufficient enough. We need the possibility to correlate to BGP device configuration to link configuration change to BGP route-policy processing and BGP RIB change event. We have with below ongoing drafts already two YANG models defining the route-policy attachment points and route-policy definitions. 

Policy configuration overview
https://tools.ietf.org/html/draft-ietf-idr-bgp-model-04#section-2.2

A YANG Data Model for Routing Policy Management
https://tools.ietf.org/html/draft-ietf-rtgwg-policy-model-06

These fields should be aligned between these drafts so they can be correlated at data-processing/data-storage within big data. This is aligned with the input I gave on the Network Telemetry Framework draft-song-opsawg-ntf 
https://mailarchive.ietf.org/arch/msg/opsawg/1kuI5xKDTkIa7q5jRKGDq1frFLU

Kind regards
Thomas Graf
____________________________________________________________________________
Network Engineer
Datacenter Functions
Telefon	+41-58-223 84 01
Mobile	+41-79-728 80 12
[email-masked]
____________________________________________________________________________
Swisscom (Schweiz) AG
IT, Network & Infrastructure
Datacenter Functions
Binzring 17
8045 Zürich
www.swisscom.com
Postadresse:
Binzring 17
8045 Zürich

-----Original Message-----
From: GROW <[email-masked]> On Behalf Of oliverxu(??)
Sent: Tuesday, March 12, 2019 3:07 AM
To: [email-masked]; Shunwan Zhuang <[email-masked]>; Yunan Gu <[email-masked]>; Zhenbin Li <[email-masked]>
Cc: [email-masked]
Subject: Re: [GROW] New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-00.txt(Internet mail)

Dear GROW members,

Oliver.

    

    Abstract:

    
    The IETF Secretariat

_______________________________________________
GROW mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/grow

---

From: Zhuangshunwan <[email-masked]>
Date: Tue, 26 Mar 2019 14:42:07 +0000

Hi Thomas,

Thank you very much for your strong support and great suggestions on this draft!
We will happily work to improve this document based on the suggestions from you and the IETF community.

Thanks,
Shunwan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, March 26, 2019 9:40 PM
To: [email-masked]; [email-masked]; Zhuangshunwan <[email-masked]>; Guyunan (Yunan Gu, IP Technology Research Dept. NW) <[email-masked]>; Lizhenbin <[email-masked]>
Cc: [email-masked]
Subject: RE: New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-00.txt(Internet mail)

Kind regards
Thomas Graf

-----Original Message-----
From: GROW <[email-masked]> On Behalf Of oliverxu(??)
Sent: Tuesday, March 12, 2019 3:07 AM
To: [email-masked]; Shunwan Zhuang <[email-masked]>; Yunan Gu <[email-masked]>; Zhenbin Li <[email-masked]>
Cc: [email-masked]
Subject: Re: [GROW] New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-00.txt(Internet mail)

Dear GROW members,

Oliver.

    

    Abstract:

    
    The IETF Secretariat